Create DNSSEC
curl --request POST \
--url https://api.dev.name.com/core/v1/domains/{domainName}/dnssec \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"algorithm": 123,
"digest": "<string>",
"digestType": 123,
"keyTag": 123
}
'import requests
url = "https://api.dev.name.com/core/v1/domains/{domainName}/dnssec"
payload = {
"algorithm": 123,
"digest": "<string>",
"digestType": 123,
"keyTag": 123
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({algorithm: 123, digest: '<string>', digestType: 123, keyTag: 123})
};
fetch('https://api.dev.name.com/core/v1/domains/{domainName}/dnssec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"algorithm": 123,
"digest": "<string>",
"digestType": 123,
"domainName": "<string>",
"keyTag": 123
}{
"message": "This resource already exists."
}{
"message": "Unauthorized"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Not Found",
"details": "The requested domain does not exist."
}{
"message": "Method Not Allowed"
}{
"message": "Object already exists.",
"details": "Cannot create multiple objects under same key."
}{
"message": "The 'Content-Type' header must be 'application/json' for this request."
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "The upstream server is taking too long to respond."
}DNSSECs
Create DNSSEC
Adds (registers) a new DNSSEC DS record for a domain.
POST
/
core
/
v1
/
domains
/
{domainName}
/
dnssec
Create DNSSEC
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Path Parameters
DomainName is the domain name to create keys for.
Body
application/json
Response
A successful response.
DNSSEC contains all the data required to create a DS record at the registry.
Was this page helpful?
⌘I